Bug 804952 - Connection refused - connect(2) displayed in UI while creating a deployable with unreachable url
Connection refused - connect(2) displayed in UI while creating a deployable w...
Status: CLOSED CURRENTRELEASE
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Matt Wagner
wes hayutin
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 05:49 EDT by Shveta
Modified: 2014-08-17 18:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 14:48:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
unreachable_host (176.65 KB, image/png)
2012-03-20 05:49 EDT, Shveta
no flags Details
unreachable url (82.61 KB, image/png)
2012-09-21 05:41 EDT, pushpesh sharma
no flags Details

  None (edit)
Description Shveta 2012-03-20 05:49:03 EDT
Created attachment 571331 [details]
unreachable_host

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Application Blueprint -- From URL
2. Gave an unreachable url .
3.
  
Actual results:


Expected results:


Additional info:
This is a regression 
https://bugzilla.redhat.com/show_bug.cgi?id=784186

rpm -qa|grep aeolus
aeolus-all-0.8.0-43.el6.noarch
aeolus-conductor-doc-0.8.0-43.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-configure-2.5.0-18.el6.noarch
aeolus-conductor-0.8.0-43.el6.noarch
rubygem-aeolus-cli-0.3.0-14.el6.noarch
aeolus-conductor-daemons-0.8.0-43.el6.noarch
Comment 1 Mike Orazi 2012-07-26 11:36:29 EDT
May already be fixed upstream.
Comment 2 Matt Wagner 2012-07-26 15:53:41 EDT
This is indeed fixed upstream. Attempting to add a new deployable from an unreachable URL gives me "Deployable XML file is either invalid or no longer reachable at http://1.1.1.1" now.
Comment 3 Matt Wagner 2012-08-07 12:41:02 EDT
To keep everything connected, this is referenced in upstream Redmine here: https://www.aeolusproject.org/redmine/issues/3645
Comment 6 pushpesh sharma 2012-09-21 05:40:39 EDT
1. Application Blueprint -- From URL
2. Gave an unreachable url .

Verified on :-
[root@dhcp201-113 ~]# rpm -qa|grep aeolus
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-all-0.13.8-1.el6cf.noarch
aeolus-conductor-0.13.8-1.el6cf.noarch
rubygem-aeolus-cli-0.7.1-1.el6cf.noarch
aeolus-configure-2.8.6-1.el6cf.noarch
aeolus-conductor-daemons-0.13.8-1.el6cf.noarch
aeolus-conductor-doc-0.13.8-1.el6cf.noarch
Comment 7 pushpesh sharma 2012-09-21 05:41:08 EDT
Created attachment 615342 [details]
unreachable url

Note You need to log in before you can comment on or make changes to this bug.